Bug Hunting Session
Bug 44650 - FILEOPEN doc: wrong FORMATTING of custom table columns (comment 10)
Summary: FILEOPEN doc: wrong FORMATTING of custom table columns (comment 10)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 Beta2
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc, notBibisectable
: 76068 (view as bug list)
Depends on:
Blocks: DOC-Tables
  Show dependency treegraph
 
Reported: 2012-01-10 11:06 UTC by tester8
Modified: 2018-10-18 02:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
HelloWord5.pdf: output of comment 6's document using Word2007 (92.10 KB, application/pdf)
2017-01-19 18:25 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tester8 2012-01-10 11:06:21 UTC
Spin-off of Bug 42780

See doc and pdf with right rendering there.
Comment 1 tester8 2012-01-10 11:12:16 UTC
Differences begins on page 4.

Also some content placed not on the right page.
Comment 2 A (Andy) 2013-05-04 09:16:05 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)
I can confirm the buggy table rendering.


But in addition, there are further bugs if you compare it with Word 2007:

Page 1: 
The heading "Отдел по работе ..." is not bold as in Word 2007.  
The table at the bottom is partly on a second page and not completely on page 1 as in Word 2007.  
The (signature) line in the table at the bottom has a line break and is not only on one row as in Word 2007.

Page 2:
The heading at the top and the page title in the top right are not bold as in Word 2007.
The invisible table in section 1 is buggy and does not show all data as in Word 2007 (the entries "T", "6991" and "N" are missing).


-> increased the importance


@Cédric & Michael: Could this issue maybe be something for you?
Comment 3 Cédric Bosdonnat 2014-01-20 08:57:29 UTC
Restricted my LibreOffice hacking area
Comment 4 sophie 2014-03-21 09:51:33 UTC
*** Bug 76068 has been marked as a duplicate of this bug. ***
Comment 5 Joel Madero 2015-05-02 15:44:22 UTC Comment hidden (obsolete)
Comment 6 francesco 2015-05-02 16:45:20 UTC
Still present on LO 4.4.2.2 on Kubuntu 15.04. I used the docx attached to the Bug 76068 that is marked as duplicate of this bug.
Comment 7 QA Administrators 2016-09-20 09:38:02 UTC Comment hidden (obsolete)
Comment 8 Justin L 2016-12-09 05:55:22 UTC
(In reply to francesco from comment #6)
> Still present on LO 4.4.2.2 on Kubuntu 15.04. I used the docx attached to
> the Bug 76068 that is marked as duplicate of this bug.

The table still expands way beyond the page edge in 5.3beta1 using Comment 6's HelloWord5.docx (attachment 95653 [details]).  Confirmed with bibisect-43all that this dates back to the oldest commit, so not bibisectable.

The document from bug 42780 is way too complicated.  It looks pretty good to me - I didn't notice any glaring differences compared to the PDF.
Comment 9 Justin L 2017-01-19 18:25:27 UTC
Created attachment 130561 [details]
HelloWord5.pdf: output of comment 6's document using Word2007

This is approximately what it looks like in LibreOffice after a round-trip. LO however has all columns the identical width. The problem will be related to the last row with the missing cells.
Comment 10 Justin L 2017-10-17 18:47:59 UTC
Mike Kaganski's LO 6.0 commit cae5dd9363b68dbabbeb2069f4aee7d057f6b5a8 for bug 109524 fixed the initial opening of the HelloWorld5 table. Now the whole table doesn't spill off the end of the page.

The columns are still all equal-width though. Keeping the bug open to address that for attachment 95653 [details].
Comment 11 QA Administrators 2018-10-18 02:49:03 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug